﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Delete_EF_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(Customer customer)
        {
            using (CustomersEntities entities = new CustomersEntities())
            {
                Customer deletedCustomer = (from c in entities.Customers
                                            where c.CustomerId == customer.CustomerId
                                            select c).FirstOrDefault();

                if (deletedCustomer != null)
                {
                    entities.Customers.Remove(deletedCustomer);
                    entities.SaveChanges();
                    ViewBag.Message = "Customer record deleted.";
                }
                else
                {
                    ViewBag.Message = "Customer not found.";
                }

                return View();
            }            
        }
    }
}
